sla_lin_berr.f(3)

NAME
sla_lin_berr.f -

SYNOPSIS

  Functions/Subroutines
subroutine SLA_LIN_BERR (N, NZ, NRHS, RES, AYB, BERR)
SLA_LIN_BERR

Function/Subroutine Documentation

  subroutine SLA_LIN_BERR (INTEGERN, INTEGERNZ, INTEGERNRHS, REAL, dimension( n, nrhs )RES, REAL, dimension( n, nrhs )AYB, REAL, dimension( nrhs )BERR)

SLA_LIN_BERR

Purpose:

        SLA_LIN_BERR computes componentwise relative backward error from
        the formula
            max(i) ( abs(R(i)) / ( abs(op(A_s))*abs(Y) + abs(B_s) )(i) )
        where abs(Z) is the componentwise absolute value of the matrix
        or vector Z.

Parameters:
    N

              N is INTEGER
         The number of linear equations, i.e., the order of the
         matrix A.  N >= 0.

    NZ

              NZ is INTEGER
         We add (NZ+1)*SLAMCH( 'Safe minimum' ) to R(i) in the numerator to
         guard against spuriously zero residuals. Default value is N.

    NRHS

              NRHS is INTEGER
         The number of right hand sides, i.e., the number of columns
         of the matrices AYB, RES, and BERR.  NRHS >= 0.

    RES

              RES is REAL array, dimension (N,NRHS)
         The residual matrix, i.e., the matrix R in the relative backward
         error formula above.

    AYB

              AYB is REAL array, dimension (N, NRHS)
         The denominator in the relative backward error formula above, i.e.,
         the matrix abs(op(A_s))*abs(Y) + abs(B_s). The matrices A, Y, and B
         are from iterative refinement (see sla_gerfsx_extended.f).

    BERR

              BERR is REAL array, dimension (NRHS)
         The componentwise relative backward error from the formula above.

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Definition at line 102 of file sla_lin_berr.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.